help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Ruby evaluation.


From: Tom Rauchenwald
Subject: Re: Ruby evaluation.
Date: Sat, 25 Sep 2010 21:48:56 +0200
User-agent: Gnus/5.110011 (No Gnus v0.11) Emacs/24.0.50 (gnu/linux)

Jonathan Groll <address@hidden> writes:

> On Sat, Sep 25, 2010 at 09:15:43AM -0700, hazlup wrote:
>>
>>I have vanilla emacs-23.1 and M-x run-ruby [No match]
>>so I suspect you installed something ruby related.  The OP needs that info.
>>
>
> I have the following in my ~/.emacs (note the run-ruby):
>
> ;; ruby mode
> (autoload 'ruby-mode "ruby-mode" "Load ruby-mode")
> (add-hook 'ruby-mode-hook 'turn-on-font-lock)
>
> ;; associate ruby-mode with .rb files and .rjs files
> (add-to-list 'auto-mode-alist '(".rb$" . ruby-mode))
> (add-to-list 'auto-mode-alist '(".rjs$" . ruby-mode))
> (add-to-list 'auto-mode-alist '(".rake$" . ruby-mode))
>
> (setq interpreter-mode-alist (append '(("ruby" . ruby-mode))
>                                       interpreter-mode-alist))
>
> ;; Ruby-Interpreter:
> (autoload 'run-ruby "inf-ruby"
>    "Run an inferior Ruby process")
> (autoload 'inf-ruby-keys "inf-ruby"
>    "Set local key defs for inf-ruby in ruby-mode")
> (add-hook 'ruby-mode-hook
>            '(lambda ()
>               (inf-ruby-keys)
>               ))
>
> Regards,
> Jonathan

I guess it should be noted that inf-ruby.el is not part of the emacs
distribution. It comes with ruby i think.

-tom

-- 
Computers are useless.  They can only give you answers.
                -- Pablo Picasso




reply via email to

[Prev in Thread] Current Thread [Next in Thread]